## kquickcharts 5.78.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.78.0") # handled by release scripts
set(KF5_DEP_VERSION "5.78.0") # handled by release scripts

project(KQuickCharts VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.78.0 NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake )

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(ECMGenerateExportHeader)

include(ECMAddTests)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

option(BUILD_EXAMPLES "Build example applications" OFF)

set(REQUIRED_QT_VERSION 5.14.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

add_subdirectory(controls)
add_subdirectory(src)

if(BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

ecm_setup_version(
    PROJECT
    VARIABLE_PREFIX KF5QuickCharts
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/quickcharts_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5QuickChartsConfigVersion.cmake"
    SOVERSION 1
)

configure_package_config_file(
    "KF5QuickChartsConfig.cmake.in"
    "KF5QuickChartsConfig.cmake"
    INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QuickCharts
    PATH_VARS KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5QuickChartsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5QuickChartsConfigVersion.cmake"
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QuickCharts
    COMPONENT Devel
)

install(EXPORT KF5QuickChartsTargets
    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QuickCharts
    FILE KF5QuickChartsTargets.cmake
    NAMESPACE KF5::
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===

find_package(Qt5 COMPONENTS QuickTest)

include(ECMAddTests)

include_directories(${CMAKE_SOURCE_DIR}/src)

ecm_add_tests(
    ArraySourceTest.cpp
    MapProxySourceTest.cpp
    HistoryProxySourceTest.cpp
    LINK_LIBRARIES QuickChartsStatic Qt5::Test
)

add_executable(qmltest qmltest.cpp)
target_link_libraries(qmltest Qt5::QuickTest)

macro(add_qml_tests)
    if (WIN32)
        set(_extra_args -platform offscreen)
    endif()

    foreach(test ${ARGV})
        add_test(NAME ${test}
                 COMMAND ${CMAKE_BINARY_DIR}/bin/qmltest
                         ${_extra_args}
                         -import ${CMAKE_BINARY_DIR}/bin
                         -input ${test}
                 WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        )
    endforeach()
endmacro()

add_qml_tests(
    tst_BarChart.qml
    tst_LineChart.qml
    tst_PieChart.qml
)

find_program(GLSL_VALIDATOR NAMES glslangValidator)
if (GLSL_VALIDATOR)
    add_test(
        NAME ShaderValidation
        COMMAND ${CMAKE_SOURCE_DIR}/scripts/validate_shaders.sh ${CMAKE_SOURCE_DIR}/src/shaders
    )
else()
    message(WARNING "glslangValidator not found, cannot validate shaders")
endif()

## kquickcharts 5.68.0

=== debian/changelog ===
kquickcharts (5.68.0-0ubuntu2) focal; urgency=medium

  * Update package descriptions to mention that kquickcharts offers GPU
    accelerated 2D charts, which differentiates it from the legacy
    kqtquickcharts from KDE Applications.

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Mar 2020 11:17:44 +0000

kquickcharts (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:04 +0000

kquickcharts (5.67.0-0ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 10 Feb 2020 08:23:10 +0100

kquickcharts (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:51:50 +0000

kquickcharts (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jan 2020 18:16:26 +0000

kquickcharts (5.65.0a-0ubuntu1) focal; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.65.0)
  * Fix Section: lib -> libs
  * Add cmake to Build-Depends
  * Update copyright file
  * Pass '--with kf5' to dh and build depend on pkg-kde-tools
  * Add debian/upstream/signing-key.asc
  * Add debian/upstream/metadata

  [ Rik Mills ]
  * Initial release to Ubuntu. (LP: #1857029)
  * Bump tarball to version 5.65.0a after upstream respin to fix
    copyright issues.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 06 Jan 2020 15:31:38 +0000

kquickcharts (0.1-0) UNRELEASED; urgency=medium

  * Initial release

 -- Bhushan Shah <bshah@kde.org>  Thu, 23 May 2019 12:35:45 +0000

=== debian/control ===
Source: kquickcharts
Section: libs
Priority: optional
Maintainer: Bhushan Shah <bshah@kde.org>
Build-Depends: cmake,
               debhelper (>= 11),
               extra-cmake-modules (>= 5.68.0~),
               pkg-kde-tools,
               qt5-qmake,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtquickcontrols2-5-dev,
Standards-Version: 4.2.1
Homepage: https://invent.kde.org/kde/kquickcharts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts

Package: kquickcharts-dev
Architecture: any
Depends: qml-module-org-kde-quickcharts,
         qtbase5-dev,
         qtdeclarative5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: Quick Charts - development files
 A QtQuick plugin providing GPU accelerated high-performance 2D charts.
 .
 This package contains the development files.

Package: qml-module-org-kde-quickcharts
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: Quick Charts
 A QtQuick plugin providing GPU accelerated high-performance 2D charts.
 .
 This package contain the runtime qml module.

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT=qt5

%:
	dh $@ --with kf5

override_dh_auto_test:
	:

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d\.]*)/@PACKAGE@-(.*)\.tar\.xz

## kquickcharts 5.74.0

=== debian/changelog ===
kquickcharts (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:32 +0100

kquickcharts (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:46 +0100

kquickcharts (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:21 +0100

kquickcharts (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:07:54 +0100

kquickcharts (5.70.0-1ubuntu2) groovy; urgency=medium

  * Revert back to not running build time tests.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 20:31:30 +0100

kquickcharts (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 19:58:52 +0100

kquickcharts (5.70.0-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:25 +0200

kquickcharts (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:33:34 +0100

kquickcharts (5.69.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update Maintainer field to Debian/Kubuntu Qt/KDE Maintainers.
  * Add myself to Uploaders.
  * Add Vcs fields.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * Update build-deps and deps with the info from cmake.
  * Replace rules file with Frameworks standard.
  * Enable autotests.
  * Add Bug-* entries to metadata file.
  * Cleanup copyright file.
  * Improve long description.
  * Initial release to Debian. (Closes: #959207)
  * Cleanup Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 23:37:27 +0200

kquickcharts (0.1-1) unstable; urgency=medium

  * Initial release

 -- Bhushan Shah <bshah@kde.org>  Thu, 23 May 2019 12:35:45 +0000

=== debian/control ===
Source: kquickcharts
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               kirigami2-dev (>= 5.74.0~),
               libkf5declarative-dev (>= 5.74.0~),
               pkg-kde-tools,
               qml-module-qttest,
               qt5-qmake,
               qtbase5-dev,
               qtdeclarative5-dev (>= 5.12.0~),
               qtquickcontrols2-5-dev (>= 5.12.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://invent.kde.org/kde/kquickcharts
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
Rules-Requires-Root: no

Package: kquickcharts-dev
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qtbase5-dev,
         qtdeclarative5-dev (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Quick Charts - development files
 A QtQuick plugin providing high-performance charts (gpu-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contains the development files.

Package: qml-module-org-kde-quickcharts
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Quick Charts
 A QtQuick plugin providing high-performance charts (gpu-accelerated).
 .
 It supports three different chart types: pie, line and bar, which can be fed
 from multiple types of data sources. There is also support for axis labels, an
 axis grid and a legend.  Additionally, there is a submodule that contains some
 convenience items.
 .
 The pie and line charts are rendered using a technique called signed
 distance fields, which allows efficient GPU-accelerated rendering of 2D
 shapes without loss of quality.
 .
 This package contain the runtime qml module.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper,sodeps --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	:

## kquickcharts 5.78.0

=== debian/changelog ===
kquickcharts (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:24 +0900

kquickcharts (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

kquickcharts (5.77.0-4) unstable; urgency=medium

  * Team upload.
  * Run again the tests on mips64el, although make them non-fatal.
  * Make the tests non-fatal on alpha, hurd-i386, powerpc, riscv64, and x32.
  * Remove the unused pkgkde_symbolshelper, and sodeps dh addons.
  * Update the dependencies of kquickcharts-dev:
    - depend on the same version qml-module-org-kde-quickcharts
    - remove qml-module-org-kde-kirigami2, qml-module-qtquick-controls,
      qml-module-qtquick-layouts, and qml-module-qtquick2, as they are
      already a dependency of qml-module-org-kde-quickcharts
  * Use /usr/share/dpkg/architecture.mk instead of manually querying for
    DEB_HOST_ARCH.

 -- Pino Toscano <pino@debian.org>  Mon, 11 Jan 2021 12:39:47 +0100

kquickcharts (5.77.0-3) unstable; urgency=medium

  * Disable tests on mips64el due to segfaults.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 09:21:08 +0900

kquickcharts (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:36 +0900

kquickcharts (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Drop debian/compat, defined via debhelper-compat B-D.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:55 +0900

kquickcharts (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:10 +0200

kquickcharts (5.74.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update Bug-* entries to metadata file.
  * Update copyright for 5.74.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:45 +0200

kquickcharts (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Apr 2020 05:01:05 +0000

kquickcharts (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 08 Mar 2020 05:01:08 +0000

kquickcharts (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 03 Feb 2020 05:01:04 +0000

kquickcharts (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 05 Jan 2020 05:01:04 +0000

kquickcharts (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2019 05:01:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,35 @@
 Source: kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sandro Knauß <hefee@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.74.0~),
-               kirigami2-dev (>= 5.74.0~),
-               libkf5declarative-dev (>= 5.74.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.78.0~),
+               kirigami2-dev,
+               libkf5declarative-dev,
                pkg-kde-tools,
                qml-module-qttest,
                qt5-qmake,
                qtbase5-dev,
-               qtdeclarative5-dev (>= 5.12.0~),
-               qtquickcontrols2-5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.14.0~),
+               qtquickcontrols2-5-dev (>= 5.14.0~),
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
-Homepage: https://invent.kde.org/kde/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
+               xvfb
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kquickcharts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kquickcharts.git
 Rules-Requires-Root: no
 
 Package: kquickcharts-dev
 Architecture: any
-Depends: qml-module-org-kde-kirigami2,
-         qml-module-org-kde-quickcharts,
-         qml-module-qtquick-controls,
-         qml-module-qtquick-layouts,
-         qml-module-qtquick2,
+Depends: qml-module-org-kde-quickcharts (= ${binary:Version}),
          qtbase5-dev,
-         qtdeclarative5-dev (>= 5.12.0~),
+         qtdeclarative5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (gpu-accelerated).
  .

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

testsuite_failing_archs := alpha hurd-i386 mips64el powerpc riscv64 x32
ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
  fail_param := || true
endif

%:
	dh $@ --with kf5 --buildsystem kf5 --without build_stamp

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel $(fail_param)

## kquickcharts 5.80.0

=== debian/changelog ===
kquickcharts (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:09:10 +0000

kquickcharts (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:23:21 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               kirigami2-dev,
-               libkf5declarative-dev,
+               extra-cmake-modules (>= 5.80.0~),
+               kirigami2-dev (>= 5.80.0~),
+               libkf5declarative-dev (>= 5.80.0~),
                pkg-kde-tools,
                qml-module-qttest,
                qt5-qmake,
@@ -16,7 +16,7 @@
                qtdeclarative5-dev (>= 5.14.0~),
                qtquickcontrols2-5-dev (>= 5.14.0~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kquickcharts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kquickcharts
@@ -29,7 +29,7 @@
          qtbase5-dev,
          qtdeclarative5-dev (>= 5.14.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (gpu-accelerated).
  .

## kquickcharts 5.86.0a

=== debian/changelog ===
kquickcharts (5.86.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:49:19 +0100

kquickcharts (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:41 +0100

kquickcharts (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:36 +0100

kquickcharts (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:18:38 +0100

kquickcharts (5.82.0a-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:58:21 +0100

kquickcharts (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               kirigami2-dev (>= 5.80.0~),
-               libkf5declarative-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               kirigami2-dev (>= 5.86.0~),
+               libkf5declarative-dev (>= 5.86.0~),
                pkg-kde-tools,
                qml-module-qttest,
                qt5-qmake,

## kquickcharts 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
 
-project(KQuickCharts VERSION ${KF5_VERSION})
+project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.78.0 NO_MODULE)
+find_package(ECM 5.92.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -15,6 +15,7 @@
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
+include(KDEGitCommitHooks)
 
 include(ECMGenerateExportHeader)
 
@@ -22,13 +23,10 @@
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
 
-set(CMAKE_CXX_STANDARD 14)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
-
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
-set(REQUIRED_QT_VERSION 5.14.0)
-find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2)
+set(REQUIRED_QT_VERSION 5.15.2)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -55,7 +53,6 @@
     "KF5QuickChartsConfig.cmake.in"
     "KF5QuickChartsConfig.cmake"
     INSTALL_DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QuickCharts
-    PATH_VARS KF5_INCLUDE_INSTALL_DIR CMAKE_INSTALL_PREFIX
 )
 
 install(FILES
@@ -72,3 +69,5 @@
 )
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===

set(quickcharts_SRCS
    BarChart.cpp
    BarChart.h
    Chart.cpp
    Chart.h
    datasource/ArraySource.cpp
    datasource/ArraySource.h
    datasource/ChartAxisSource.cpp
    datasource/ChartAxisSource.h
    datasource/ChartDataSource.cpp
    datasource/ChartDataSource.h
    datasource/ColorGradientSource.cpp
    datasource/ColorGradientSource.h
    datasource/HistoryProxySource.cpp
    datasource/HistoryProxySource.h
    datasource/MapProxySource.cpp
    datasource/MapProxySource.h
    datasource/ModelHistorySource.cpp
    datasource/ModelHistorySource.h
    datasource/ModelSource.cpp
    datasource/ModelSource.h
    datasource/SingleValueSource.cpp
    datasource/SingleValueSource.h
    datasource/ValueHistorySource.cpp
    datasource/ValueHistorySource.h
    decorations/AxisLabels.cpp
    decorations/AxisLabels.h
    decorations/GridLines.cpp
    decorations/GridLines.h
    decorations/LegendLayout.cpp
    decorations/LegendLayout.h
    decorations/LegendModel.cpp
    decorations/LegendModel.h
    ItemBuilder.cpp
    ItemBuilder.h
    LineChart.cpp
    LineChart.h
    PieChart.cpp
    PieChart.h
    QmlDeprecated.h
    RangeGroup.cpp
    RangeGroup.h
    scenegraph/BarChartMaterial.cpp
    scenegraph/BarChartMaterial.h
    scenegraph/BarChartNode.cpp
    scenegraph/BarChartNode.h
    scenegraph/LineChartMaterial.cpp
    scenegraph/LineChartMaterial.h
    scenegraph/LineChartNode.cpp
    scenegraph/LineChartNode.h
    scenegraph/LineGridNode.cpp
    scenegraph/LineGridNode.h
    scenegraph/LineSegmentNode.cpp
    scenegraph/LineSegmentNode.h
    scenegraph/PieChartMaterial.cpp
    scenegraph/PieChartMaterial.h
    scenegraph/PieChartNode.cpp
    scenegraph/PieChartNode.h
    scenegraph/SDFShader.cpp
    scenegraph/SDFShader.h
    XYChart.cpp
    XYChart.h
)

qt_add_resources(quickcharts_QRC shaders/shaders.qrc)

ecm_qt_declare_logging_category(quickcharts_SRCS
    HEADER charts_general_logging.h
    IDENTIFIER GENERAL
    CATEGORY_NAME kf.quickcharts.general
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - General"
    EXPORT KQuickCharts
)

ecm_qt_declare_logging_category(quickcharts_SRCS
    HEADER charts_datasource_logging.h
    IDENTIFIER DATASOURCE
    CATEGORY_NAME kf.quickcharts.datasource
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - Data Sources"
    EXPORT KQuickCharts
)

ecm_qt_declare_logging_category(quickcharts_SRCS
    HEADER charts_deprecated_logging.h
    IDENTIFIER DEPRECATED
    CATEGORY_NAME kf.quickcharts.deprecated
    DEFAULT_SEVERITY Warning
    DESCRIPTION "KQuickCharts Library - Deprecated API"
    EXPORT KQuickCharts
)

add_library(QuickChartsStatic STATIC ${quickcharts_SRCS} ${quickcharts_QRC})
target_link_libraries(QuickChartsStatic PUBLIC Qt${QT_MAJOR_VERSION}::Core Qt${QT_MAJOR_VERSION}::Quick Qt${QT_MAJOR_VERSION}::Qml Qt${QT_MAJOR_VERSION}::Quick)

add_library(QuickCharts SHARED ChartsPlugin.cpp ChartsPlugin.h)
target_link_libraries(QuickCharts PRIVATE QuickChartsStatic)

ecm_generate_export_header(QuickCharts
    BASE_NAME QuickCharts
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.78
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

install(TARGETS QuickCharts EXPORT KF5QuickChartsTargets DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/quickcharts)
install(FILES qmldir DESTINATION ${KDE_INSTALL_QMLDIR}/org/kde/quickcharts)

ecm_qt_install_logging_categories(EXPORT KQuickCharts DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

if (BUILD_TESTING)
    add_custom_command(TARGET QuickCharts POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E make_directory ${CMAKE_BINARY_DIR}/bin/org/kde/quickcharts
    )
    add_custom_command(TARGET QuickCharts POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/src/qmldir ${CMAKE_BINARY_DIR}/bin/org/kde/quickcharts
    )
    add_custom_command(TARGET QuickCharts POST_BUILD
        COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:QuickCharts> ${CMAKE_BINARY_DIR}/bin/org/kde/quickcharts
    )
endif()

=== debian/changelog ===
kquickcharts (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:31 +0000

kquickcharts (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:43 +0000

kquickcharts (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:44 +0000

kquickcharts (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:30 +0000

kquickcharts (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:12:02 +0000

kquickcharts (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

kquickcharts (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 11:00:00 +0900

kquickcharts (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

kquickcharts (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:05:25 +0900

kquickcharts (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:09 +0900

kquickcharts (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:23:43 +0900

kquickcharts (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:18:51 +0900

kquickcharts (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kquickcharts (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kquickcharts (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,34 @@
 Source: kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86.0~),
-               kirigami2-dev (>= 5.86.0~),
-               libkf5declarative-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               kirigami2-dev (>= 5.92.0~),
+               libkf5declarative-dev (>= 5.92.0~),
                pkg-kde-tools,
                qml-module-qttest,
                qt5-qmake,
                qtbase5-dev,
-               qtdeclarative5-dev (>= 5.14.0~),
-               qtquickcontrols2-5-dev (>= 5.14.0~),
+               qtdeclarative5-dev (>= 5.15.2~),
+               qtquickcontrols2-5-dev (>= 5.15.2~),
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kquickcharts
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kquickcharts.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
 Rules-Requires-Root: no
 
 Package: kquickcharts-dev
 Architecture: any
 Depends: qml-module-org-kde-quickcharts (= ${binary:Version}),
          qtbase5-dev,
-         qtdeclarative5-dev (>= 5.14.0~),
+         qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: Quick Charts - development files
@@ -51,7 +52,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Quick Charts
  A QtQuick plugin providing high-performance charts (gpu-accelerated).
  .

## kquickcharts 5.98.0

=== debian/changelog ===
kquickcharts (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:33:25 +0100

kquickcharts (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:45 +0100

kquickcharts (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:28 +0100

kquickcharts (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:57:14 +0100

kquickcharts (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:59 +0100

kquickcharts (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               kirigami2-dev (>= 5.92.0~),
-               libkf5declarative-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               kirigami2-dev (>= 5.98.0~),
+               libkf5declarative-dev (>= 5.98.0~),
                pkg-kde-tools,
                qml-module-qttest,
                qt5-qmake,

## kquickcharts 5.101.0

=== debian/changelog ===
kquickcharts (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:38 +0100

kquickcharts (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:07 +0100

kquickcharts (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:28 +0200

kquickcharts (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:43 +0200

kquickcharts (5.96.0-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Remove redundant qt5-qmake build dependency, pulled by qtbase5-dev.
  * CI: enable again the blhc job.
  * Remove the unused ${shlibs:Depends} substvar from kquickcharts-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 07 Aug 2022 07:38:19 +0200

kquickcharts (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:11 +0200

kquickcharts (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

kquickcharts (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kquickcharts (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,25 @@
 Source: kquickcharts
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sandro Knauß <hefee@debian.org>,
-           Norbert Preining <norbert@preining.info>,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Sandro Knauß <hefee@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               kirigami2-dev (>= 5.98.0~),
-               libkf5declarative-dev (>= 5.98.0~),
-               pkg-kde-tools,
+               dh-sequence-kf5,
+               extra-cmake-modules (>= 5.101.0~),
+               kirigami2-dev,
+               libkf5declarative-dev,
                qml-module-qttest,
-               qt5-qmake,
                qtbase5-dev,
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
-               xauth,
-               xvfb,
-Standards-Version: 4.6.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/kquickcharts
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kquickcharts
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kquickcharts
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kquickcharts.git
 Rules-Requires-Root: no
 
 Package: kquickcharts-dev
@@ -30,7 +28,6 @@
          qtbase5-dev,
          qtdeclarative5-dev (>= 5.15.2~),
          ${misc:Depends},
-         ${shlibs:Depends},
 Description: Quick Charts - development files
  A QtQuick plugin providing high-performance charts (gpu-accelerated).
  .

=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 endif
 
 %:
-	dh $@ --with kf5 --buildsystem kf5 --without build_stamp
+	dh $@
 
 override_dh_auto_test:
 	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\

## kquickcharts 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 
 project(KQuickCharts VERSION ${KF_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.92.0 NO_MODULE)
+find_package(ECM 5.103.0 NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,11 +22,15 @@
 include(ECMAddTests)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
+include(ECMQmlModule)
 
 option(BUILD_EXAMPLES "Build example applications" OFF)
 
 set(REQUIRED_QT_VERSION 5.15.2)
 find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Qml Quick QuickControls2)
+if (QT_MAJOR_VERSION EQUAL "6")
+    find_package(Qt6 ${REQUIRED_QT_VERSION} CONFIG REQUIRED ShaderTools)
+endif()
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -62,12 +66,6 @@
     COMPONENT Devel
 )
 
-install(EXPORT KF5QuickChartsTargets
-    DESTINATION ${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5QuickCharts
-    FILE KF5QuickChartsTargets.cmake
-    NAMESPACE KF5::
-)
-
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kquickcharts (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:33 +0100

kquickcharts (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

kquickcharts (5.101.0-2) unstable; urgency=medium

  * Team upload.
  * Make the tests non-fatal also on hppa.
  * Update standards version to 4.6.2, no changes needed.
  * Mark also the qml-module-qttest build dependency as nocheck, as it is
    needed only by dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2022 15:22:59 +0100

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,16 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.101.0~),
+               extra-cmake-modules (>= 5.103.0~),
                kirigami2-dev,
                libkf5declarative-dev,
-               qml-module-qttest,
+               qml-module-qttest <!nocheck>,
                qtbase5-dev,
                qtdeclarative5-dev (>= 5.15.2~),
                qtquickcontrols2-5-dev (>= 5.15.2~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kquickcharts
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kquickcharts
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kquickcharts.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-testsuite_failing_archs := alpha hurd-i386 mips64el powerpc riscv64 x32
+testsuite_failing_archs := alpha hppa hurd-i386 mips64el powerpc riscv64 x32
 ifneq (,$(filter $(DEB_HOST_ARCH),$(testsuite_failing_archs)))
   fail_param := || true
 endif

## kquickcharts 5.104.0

=== debian/changelog ===
kquickcharts (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:10:05 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                kirigami2-dev,
                libkf5declarative-dev,
                qml-module-qttest <!nocheck>,

## kquickcharts 5.107.0

=== debian/changelog ===
kquickcharts (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:49 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf5,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.107.0~),
                kirigami2-dev,
                libkf5declarative-dev,
                qml-module-qttest <!nocheck>,
